Bug 965697 - builds with llvm
Summary: builds with llvm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flterm
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shakthi Kannan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-21 15:00 UTC by Bill Nottingham
Modified: 2014-03-17 03:33 UTC (History)
3 users (show)

Fixed In Version: flterm-1.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-19 02:02:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill Nottingham 2013-05-21 15:00:48 UTC
Description of problem:

From  http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler:

...
Fedora uses gcc as the compiler (for all languages that gcc supports). Packages may only build with an alternative compiler to gcc if upstream does not support gcc. 
...

Building this by changing the spec to 'make CC=gcc' appears to work fine,
so perhaps it should be built that way.

Version-Release number of selected component (if applicable):

1.2-1

How reproducible:

100%

Steps to Reproduce:
1. look for things that buildreq llvm/clang

Comment 1 Fedora Update System 2013-09-10 09:40:11 UTC
flterm-1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc19

Comment 2 Fedora Update System 2013-09-10 09:40:41 UTC
flterm-1.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc18

Comment 3 Fedora Update System 2013-09-10 09:41:00 UTC
flterm-1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc20

Comment 4 Fedora Update System 2013-09-10 16:22:08 UTC
Package flterm-1.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flterm-1.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16255/flterm-1.2-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-19 02:02:28 UTC
flterm-1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-19 02:06:44 UTC
flterm-1.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-23 00:12:53 UTC
flterm-1.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.